#!/Library/Frameworks/Python.framework/Versions/3.6/bin/python3

import os, sys 
import importlib
import requests
import pathlib as p
import shutil

###################################################################
# set Grid Resolution, Model and Helio or Corona
# Edit these based on the specific of the run(s) you are downloading
# To see what is available: 
# https://www.predsci.com/mhdweb/data_access.php
# and select the CR you are interested in - you can then see all
# the available models/resolutions in the 'Simulation result ID'
# drop-down menu
###################################################################

res='medium'

model='hmi_masp_mas_std_0201'

solution = 'helio'

vars=['br','vr','rho','t']

files_hdf=[s + '_r0.hdf' for s in vars]

# location of bt, bp, vt and bp files

tmp_dir="/Users/mbennun/tmp/2D/"

script_dir = os.getcwd() + '/'

zero_files=os.listdir(tmp_dir)

####################################################################
# Set start/stop CR for processing 
#####################################################################

start = 2200
stop  = 2241 # remeber that the last one does not get processed!
cr_vec = list(range(start, stop))

for mycr in cr_vec:
	cr = str(mycr)


####################################################################
# check to see if results exists
####################################################################

	mas_dir = script_dir + 'cr' + str(cr) + '-' + res + '/' + model + '/' + solution + '/'
	
	path = p.Path(mas_dir)
	if (path.exists() == True):
		print('Processing', mas_dir)
	

###################################################################
# Run psi2pluto on all vars 
###################################################################



		pluto_dir = script_dir + 'cr'+str(cr)+'-'+res+'/'+model+'/'+'/pluto_bc/'

		path = p.Path(pluto_dir)
		if (path.exists() == False):
			os.makedirs(path)


		os.chdir(pluto_dir)
		for myfile in files_hdf:

			mas_file=mas_dir + myfile
			tmp_file=pluto_dir + myfile

			shutil.copyfile(mas_file, tmp_file)
			os.system('psi2pluto '+myfile)
			for fname in zero_files:
				shutil.copy2(os.path.join(tmp_dir,fname), pluto_dir)

	

